Bug 188704 - [PATCH] multimedia/ffmpeg0: minor fixups
[PATCH] multimedia/ffmpeg0: minor fixups
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Steve Wills
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-16 21:40 UTC by Steve Wills
Modified: 2014-04-17 03:50 UTC (History)
1 user (show)

See Also:


Attachments
ffmpeg0-0.7.16.patch (1.15 KB, patch)
2014-04-16 21:40 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2014-04-16 21:40:00 UTC
- Switch to USES=tar:bzip2
- Fix typo with SDL option
- Don't leave backup files around

Port maintainer (wg@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-04-16 21:40:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 William Grzybowski freebsd_committer 2014-04-16 22:12:42 UTC
Responsible Changed
From-To: wg->swills

Approved, thanks.
Comment 3 dfilter freebsd_committer 2014-04-17 03:40:52 UTC
Author: swills
Date: Thu Apr 17 02:40:49 2014
New Revision: 351437
URL: http://svnweb.freebsd.org/changeset/ports/351437
QAT: https://qat.redports.org/buildarchive/r351437/

Log:
  - Switch to USES=tar:bzip2
  - Fix typo for SDL option
  - Remove backup files created by sed
  
  PR:		ports/188704
  Submitted by:	swills (myself)
  Approved by:	wg (maintainer)

Modified:
  head/multimedia/ffmpeg0/Makefile

Modified: head/multimedia/ffmpeg0/Makefile
==============================================================================
--- head/multimedia/ffmpeg0/Makefile	Thu Apr 17 02:33:55 2014	(r351436)
+++ head/multimedia/ffmpeg0/Makefile	Thu Apr 17 02:40:49 2014	(r351437)
@@ -25,8 +25,7 @@ PORTSCOUT=	limit:^0\.7.*
 
 HAS_CONFIGURE=	yes
 CONFIGURE_LOG=	config.err
-USES=		gmake perl5 pkgconfig
-USE_BZIP2=	yes
+USES=		gmake perl5 pkgconfig tar:bzip2
 WANT_SDL=	yes
 USE_LDCONFIG=	${PREFIX}/lib/ffmpeg${FFMPEG_SUFFIX}
 USE_PERL5=	build
@@ -417,7 +416,7 @@ post-patch:
 		${CONFIGURE_WRKSRC}/${CONFIGURE_SCRIPT}
 	@${REINPLACE_CMD} -e 's|/usr/bin/perl|${PERL5}|g' \
 		${WRKSRC}/doc/texi2pod.pl
-.if ${PORT_OPTIONS:MDSL}
+.if ${PORT_OPTIONS:MSDL}
 	@${REINPLACE_CMD} -E \
 		-e 's|sdl-config|${SDL_CONFIG}|g' \
 		${CONFIGURE_WRKSRC}/${CONFIGURE_SCRIPT}
@@ -464,5 +463,10 @@ post-install:
 	@${REINPLACE_CMD} \
 		-e 's|libavformat|libavformat0|' \
 		${STAGEDIR}${PREFIX}/libdata/pkgconfig/libavdevice0.pc
+	@${RM}	${STAGEDIR}${PREFIX}/libdata/pkgconfig/libavcodec0.pc.bak \
+		${STAGEDIR}${PREFIX}/libdata/pkgconfig/libpostproc0.pc.bak \
+		${STAGEDIR}${PREFIX}/libdata/pkgconfig/libswscale0.pc.bak \
+		${STAGEDIR}${PREFIX}/libdata/pkgconfig/libavformat0.pc.bak \
+		${STAGEDIR}${PREFIX}/libdata/pkgconfig/libavdevice0.pc.bak
 
 .include <bsd.port.post.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Steve Wills freebsd_committer 2014-04-17 03:41:08 UTC
State Changed
From-To: open->closed

Committed. Thanks!